Subject: Re: What's in git.git (Oct 2008, #03; Tue, 14)

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 15 Oct 2008 13:36:01 -0700

Junio C Hamano <[email-masked]> wrote:
> "Shawn O. Pearce" <[email-masked]> writes:
> 
> >> If we can add a test case to demonstrate the existing breakage, I think we
> >> can (and should) cherry-pick it to 'maint'.
> >
> > Yes, it probably should have gone to maint.  No, it didn't go there.
> > Temporary lapse in maintainer judgement.
> 
> That is Ok.  I do the same all the time (and I try to rewind and rebuild
> when I spot it before pushing the results out, but I am not always
> successful).

Oh, trust me, I had many times where I had to rebuild everything
for that day's push because I forgot about a patch that should
be in maint.  At least your Meta/RB and Meta/PU scripts make it
somewhat painless, that and Git's ability to just hard reset a
branch back to what I last published.  ;-)

I just utterly failed to do it that morning.  Or at least failed
to do it for this change.
 
> I just wanted to see if there was any particular reason not to have this
> on 'maint'.

Nope.

-- 
Shawn.